Sha256: 8a92d3f877ba709e94db8555dafdba6190e1d6f91316480e9eb578ec91aba823
Contents?: true
Size: 992 Bytes
Versions: 3
Compression:
Stored size: 992 Bytes
Contents
#!/bin/bash set -e info_msg="\e[0;32m[INFO]\e[0;30m" error_msg="\e[0;31mFAILED\e[0;30m" function output_error_log { [[ -f error.log ]] && ( cat error.log >&2; rm error.log) } echo -ne "$info_msg Checking if ruby installed? " which 'ruby' >/dev/null 2>error.log || ( echo -e "$error_msg\n\nCould not find \`ruby\`. Please install ruby or add it to PATH"; output_error_log; exit 1 ) echo OK echo -ne "$info_msg Checking if bash installed? " which 'bash' >/dev/null 2>error.log || ( echo -e "$error_msg\n\nCould not find \`bash\`. Please install bash or add it to PATH"; output_error_log; exit 1 ) echo OK echo -ne "$info_msg Checking if zsh installed? " which 'zsh' >/dev/null 2>error.log || ( echo -e "$error_msg\n\nCould not find \`zsh\`. Please install zsh or add it to PATH"; output_error_log; exit 1 ) echo OK echo -e "$info_msg rubygem \"bundler\" " which bundle > /dev/null || gem install bundler --version '~> 1.17.3' echo -e "$info_msg \"bundle install\" " bundle install $*
Version data entries
3 entries across 3 versions & 1 rubygems
Version | Path |
---|---|
aruba-0.14.9 | script/bootstrap |
aruba-0.14.8 | script/bootstrap |
aruba-0.14.7 | script/bootstrap |